Page MenuHomePhabricator

llvm.noalias - isPointerDereferenceable should look through them
ClosedPublic

Authored by hfinkel on Apr 30 2015, 8:35 AM.

Details

Summary

This is part of the series started by D9375, and teaches isPointerDereferenceable to look through calls to llvm.noalias.

Diff Detail

Repository
rL LLVM

Event Timeline

hfinkel updated this revision to Diff 24718.Apr 30 2015, 8:35 AM
hfinkel retitled this revision from to llvm.noalias - isPointerDereferenceable should look through them.
hfinkel updated this object.
hfinkel edited the test plan for this revision. (Show Details)
hfinkel added reviewers: chandlerc, reames.
hfinkel added a subscriber: Unknown Object (MLST).
reames resigned from this revision.Oct 8 2015, 10:27 AM
reames removed a reviewer: reames.

Resigning as a reviewer to get a very stale review off my list of blocking tasks in phabricator. Please readd when desired.

hfinkel updated this revision to Diff 63351.Jul 8 2016, 4:07 PM

Rebased.

majnemer accepted this revision.Jul 10 2016, 1:09 AM
majnemer added a reviewer: majnemer.
majnemer added a subscriber: majnemer.

LGTM

lib/Analysis/Loads.cpp
104 ↗(On Diff #63351)

const auto *

This revision is now accepted and ready to land.Jul 10 2016, 1:09 AM
This revision was automatically updated to reflect the committed changes.